﻿#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
namespace MvcApplication10.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using MvcApplication10.Models;


    public static class OrderRepository
    {
        public static IList<EditableOrder> GetAllRecords()
        {
            IList<EditableOrder> orders = (IList<EditableOrder>)HttpContext.Current.Session["Orders"];

            if (orders == null)
            {
             HttpContext.Current.Session["Orders"]  = orders = (from ord in new NorthwindDataContext().Orders.Take(200)
                          select new EditableOrder
                          {
                              OrderID = ord.OrderID,
                              OrderDate = ord.OrderDate,
                              CustomerID = ord.CustomerID,
                              EmployeeID = ord.EmployeeID,
                              Freight = ord.Freight,
                              ShipAddress = ord.ShipAddress,
                              ShipCity = ord.ShipCity,
                              ShipName = ord.ShipName,
                              ShipPostalCode = ord.ShipPostalCode,
                              ShipRegion = ord.ShipRegion,
                              ShipCountry=ord.ShipCountry
                          }).ToList();
             foreach (var order in orders)
             {
                 if (order.Freight > 30)
                     order.Verified = true;
                 else
                     order.Verified = false;
             }
            }
            return orders;
        }


        public static void Add(EditableOrder order)
        {
            GetAllRecords().Insert(0, order);
        }
        public static void Add(IEnumerable<EditableOrder> orders)
        {
            foreach (var order in orders)
            {
                GetAllRecords().Insert(0, order);
            }
        }
        public static EditableOrder Select(int? OrderID)
        {
            
            EditableOrder result = GetAllRecords().Where(o => o.OrderID == OrderID).FirstOrDefault();
            
            return result;
        }

        public static void Delete(int OrderID)
        {
            EditableOrder result = GetAllRecords().Where(o => o.OrderID == OrderID).FirstOrDefault();
            GetAllRecords().Remove(result);
        }
        public static void Delete(IEnumerable<EditableOrder> orders)
        {
            foreach (var res in orders)
            {
                EditableOrder result = GetAllRecords().Where(o => o.OrderID == res.OrderID).FirstOrDefault();
                GetAllRecords().Remove(result);
            }
        }

        public static void Update(EditableOrder order)
        {
            EditableOrder result = GetAllRecords().Where(o => o.OrderID == order.OrderID).FirstOrDefault();
            if (result != null)
            {
                result.OrderID = order.OrderID;
                result.CustomerID = order.CustomerID;
                result.EmployeeID = order.EmployeeID;
                result.OrderDate = order.OrderDate;
                result.ShipAddress = order.ShipAddress;
                result.ShipCity = order.ShipCity;
                result.ShipCountry = order.ShipCountry;
                result.ShipName = order.ShipName;
                result.ShipRegion = order.ShipRegion;
                result.ShipPostalCode = order.ShipPostalCode;
                result.Freight = order.Freight;
                result.Verified = order.Verified;
            }
        }

        public static void Update(IEnumerable<EditableOrder> orders)
        {
            foreach (var order in orders)
            {
                EditableOrder result = GetAllRecords().Where(o => o.OrderID == order.OrderID).FirstOrDefault();
                if (result != null)
                {
                    result.OrderID = order.OrderID;
                    result.CustomerID = order.CustomerID;
                    result.EmployeeID = order.EmployeeID;
                    result.OrderDate = order.OrderDate;
                    result.ShipAddress = order.ShipAddress;
                    result.ShipCity = order.ShipCity;
                    result.ShipCountry = order.ShipCountry;
                    result.ShipName = order.ShipName;
                    result.ShipRegion = order.ShipRegion;
                    result.ShipPostalCode = order.ShipPostalCode;
                    result.Verified = order.Verified;
                    result.Freight = order.Freight;
                }
            }
        }
    }
}
